Execute quote
curl --request POST \
--url https://api.agg.market/execution/fill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"quoteId": "<string>"
}
'{
"quoteId": "<string>",
"orderIds": [
"<string>"
],
"status": "pending"
}Execution
Execute quote
Accepts a previously quoted smart-route quote and returns pending order IDs for the submitted fill execution.
POST
/
execution
/
fill
Execute quote
curl --request POST \
--url https://api.agg.market/execution/fill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"quoteId": "<string>"
}
'{
"quoteId": "<string>",
"orderIds": [
"<string>"
],
"status": "pending"
}Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Body
application/json
⌘I